Scalar DevelopersScalar Developers
User Guide
API Reference
FAQs
User Guide
API Reference
FAQs
  • Getting started

    • API Quick Start
    • API Authentication
    • API Responses
    • API Pagination
    • API Rate Limiting
    • Webhooks API
  • Resources

    • Announcements API
    • Boards API
    • Customers API
    • Ideas API
    • Idea States API
    • Surveys API
    • Topics API

Announcements

Announcements are published changelog entries. Use this endpoint to fetch news and product updates for your own apps or newsletters.


List announcements

GET /api/v1/announcements/

Retrieve a paginated list of published announcements.

Query parameters

ParameterTypeRequiredDefaultDescription
limitintegerNo20Results per page (max 100).
offsetintegerNo0Number of results to skip.
category_idintegerNo-Filter by category ID.
searchstringNo-Search title and content.

Example request

curl -sS \
  -H 'Authorization: Api-Key scalar*live*...' \
  'https://<your-host>/api/v1/announcements/?limit=10'

Success response (200 OK)

{
    "results": [
        {
            "id": 42,
            "title": "New Feature: Dark Mode",
            "content": "We're excited to announce...",
            "category": {
                "name": "Product Updates",
                "colour": "#8B5CF6"
            },
            "published_at": "2025-01-15T10:00:00Z",
            "is_pinned": true,
            "reaction_count": 25,
            "slug": "new-feature-dark-mode-abc123"
        }
    ],
    "count": 1
}

Objects

Announcement object

FieldTypeDescription
idintegerUnique internal ID.
titlestringAnnouncement title.
contentstringFull HTML or Markdown content.
categoryobjectCategory object.
published_atdatetimeISO 8601 publication timestamp.
is_pinnedbooleanWhether the announcement is pinned to the top.
reaction_countintegerTotal number of customer reactions.
slugstringURL-safe identifier.

Category object

FieldTypeDescription
namestringCategory name.
colourstringHex display colour.
Last Updated: 19/02/2026, 05:48
Contributors: Tlotlego Mogapi
Next
Boards API